%define _requires_exceptions perl(Shutter::Upload::Shared)

Summary:	Feature-rich screenshot application
Name:		shutter
Version:	0.88.2
Release:	%mkrel 1 
License:	GPLv3
Group:		Graphical desktop/GNOME
URL:		http://shutter-project.org/
Source:		http://shutter-project.org/wp-content/uploads/releases/tars/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	gettext
Obsoletes:	gscrot <= 0.64-0.ppa10.2mdv2009.1
Requires:   perl-File-Which
Requires:	perl-Gnome2
Requires:	perl-Gtk2-ImageView
Requires:	perl(Gtk2::Unique)
Requires:	perl-Gnome2-Canvas
Requires:	perl-Gnome2-GConf
Requires:	perl-Gnome2-Wnck
Requires:	perl(Proc::Killfam)
Requires:	perl-WWW-Mechanize
Requires:	perl-X11-Protocol
Requires:	perl(XML::Simple)
Requires:   perl-File-Copy-Recursive perl-Proc-Simple perl-Sort-Naturally
Suggests:	gnome-web-photo
Suggests:	perl-Goo-Canvas
Suggests:	perl(Net::DBus::GLib)
Suggests:	perl-Image-Magick
Suggests:	perl(Image::ExifTool)
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
# Make sure the Provides scanner does not scan the privately-used .pm files
# for Provides, because it messes up the urpmi dependencies and they are not
# really provided by the package:
# https://bugs.mageia.org/show_bug.cgi?id=3008
%define _exclude_files_from_autoprov ^/usr/share/shutter/resources/modules/.*\\.pm
# Since we have no provides - we'll also get spurious requires for files under
# /usr/share/shutter - so disable them.
%define _exclude_files_from_autoreq ^\\(\\(/usr/share/shutter/resources/modules/.*\\.pm\\)\\|/usr/bin/shutter\\)

%description
Shutter is a feature-rich screenshot program. You can take a screenshot of a
specific area, window, your whole screen, or even of a website - apply
different effects to it, draw on it to highlight points, and then upload
to an image hosting site, all within one window.

%prep
%setup -q 
%build
:

%check
:

%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}
install -d -m 0755 %{buildroot}/usr
# Remove non-standard groups 
perl -i -ln -e 'print unless m{\A\[(Select|Screen|Window|Active) Shortcut Group\]\s*\z}..m{\A\s*\z}' share/applications/%{name}.desktop
mv bin %{buildroot}/usr
mv share %{buildroot}/usr
chmod -R u=rwX,a+rX %{buildroot}/usr/share
%find_lang %{name}
%find_lang %{name}-plugins
%find_lang %{name}-upload-plugins
cat %{name}-plugins.lang >> %{name}.lang
cat %{name}-upload-plugins.lang >> %{name}.lang
%clean 
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README COPYING
%attr(755,root,root) %{_bindir}/shutter
%{_datadir}/shutter/*
%{_datadir}/applications/shutter.desktop
%{_mandir}/man1/*
%{_iconsdir}/ubuntu-mono-dark/*
%{_iconsdir}/ubuntu-mono-light/*
%{_iconsdir}/hicolor/*
%{_datadir}/pixmaps/%{name}.png


%changelog

* Sat Feb 25 2012 kharec <kharec> 0.88.2-1.mga2
+ Revision: 214384
- update to 0.88.2

* Fri Dec 30 2011 shlomif <shlomif> 0.88.1-3.mga2
+ Revision: 189050
- Add missing dependencies. Thanks to ryoshu.

* Fri Dec 09 2011 kharec <kharec> 0.88.1-2.mga2
+ Revision: 179769
- Add a _requires_exceptions on perl(Shutter::Upload::Shared) to fix install

* Mon Dec 05 2011 kharec <kharec> 0.88.1-1.mga2
+ Revision: 176787
- new version 0.88.1
- package new translations files

* Sat Nov 26 2011 shlomif <shlomif> 0.87.3-7.mga2
+ Revision: 172329
- Add XML::Simple as a dep. Thanks to ryoshu

* Sun Nov 06 2011 shlomif <shlomif> 0.87.3-6.mga2
+ Revision: 164171
- Add Image::ExifTool to the dependencies

* Wed Oct 26 2011 shlomif <shlomif> 0.87.3-5.mga2
+ Revision: 158226
- Fixed long line in description as warned by rpmlint
- Add missing requires - see https://bugs.mageia.org/show_bug.cgi?id=3185

* Mon Oct 10 2011 shlomif <shlomif> 0.87.3-3.mga2
+ Revision: 153680
- Fixed the /usr/share/applications/.desktop file to make it more standard
- Got rid of the false Perl Provides by this application.

* Tue Jul 05 2011 kharec <kharec> 0.87.3-1.mga2
+ Revision: 118715
- new version 0.87.3

* Mon Jul 04 2011 kharec <kharec> 0.86.3-1.mga2
+ Revision: 118385
- imported package shutter

